> For the complete documentation index, see [llms.txt](https://docs.hex-rays.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hex-rays.com/9.0/archive.md).

# Archive

- [IDA’s Windbg plugin](https://docs.hex-rays.com/9.0/archive/ida-windbg-plugin.md)
- [IDA’s Bochs debugger plugin](https://docs.hex-rays.com/9.0/archive/idas-bochs-debugger-plugin.md)
- [IDA’s Bochs debugger plugin 2](https://docs.hex-rays.com/9.0/archive/idas-bochs-debugger-plugin-2.md)
- [DosWin32](https://docs.hex-rays.com/9.0/archive/doswin32.md): Hex-Rays would like to bring the following interesting third party program to your attention.
- [Hex-Rays v1.1 vs. v1.0 Decompiler Comparison Page](https://docs.hex-rays.com/9.0/archive/hex-rays-v1.1-vs.-v1.0-decompiler-comparison-page.md)
- [Hex-Rays v1.2 vs. v1.1 Decompiler Comparison Page](https://docs.hex-rays.com/9.0/archive/hex-rays-v1.2-vs.-v1.1-decompiler-comparison-page.md)
- [Hex-Rays v1.3 vs. v1.2 Decompiler Comparison Page](https://docs.hex-rays.com/9.0/archive/hex-rays-v1.3-vs.-v1.2-decompiler-comparison-page.md)
- [Hex-Rays v1.6 vs. v1.5 Decompiler Comparison Page](https://docs.hex-rays.com/9.0/archive/hex-rays-v1.6-vs.-v1.5-decompiler-comparison-page.md)
- [Hex-Rays v1.7 vs. v1.6 Decompiler Comparison Page](https://docs.hex-rays.com/9.0/archive/hex-rays-v1.7-vs.-v1.6-decompiler-comparison-page.md)
- [Costly Greetings – An Adventure In Hostile Code Analysis](https://docs.hex-rays.com/9.0/archive/greetings.md)
- [An Adventure In Hostile Code Analysis: Description](https://docs.hex-rays.com/9.0/archive/greetings_description.md)
- [An Adventure In Hostile Code Analysis: Disassembly](https://docs.hex-rays.com/9.0/archive/greetings_dis.md)
- [Improved code flow analysis](https://docs.hex-rays.com/9.0/archive/improved-code-flow-analysis.md)
- [Program Navigation Bar](https://docs.hex-rays.com/9.0/archive/program-navigation-bar.md)
- [IDA Home Contest](https://docs.hex-rays.com/9.0/archive/ida-home-contest.md)
- [Pimp My IDA: vote results](https://docs.hex-rays.com/9.0/archive/pimp-my-ida-vote-results.md)
- [Turning off IDA 6.x compatibility in IDAPython](https://docs.hex-rays.com/9.0/archive/turning-off-ida-6.x-compatibility-in-idapython.md)
- [Porting guide for IDA 7.4 turning off IDA 6.x API backwards-compatibility by default](https://docs.hex-rays.com/9.0/archive/porting-guide-for-ida-7.4-turning-off-ida-6.x-api-backwards-compatibility-by-default.md)
- [Porting guide for IDA 7.4 IDAPython and Python 3](https://docs.hex-rays.com/9.0/archive/ida74_idapython_python3_porting_guide.md)
- [IDAPython and Python 3](https://docs.hex-rays.com/9.0/archive/idapython-and-python-3.md)
- [Porting guide for changes in IDAPython-on-Python-3 APIs](https://docs.hex-rays.com/9.0/archive/porting-guide-for-changes-in-idapython-on-python-3-apis.md)
- [Debugging iOS Applications With IDA](https://docs.hex-rays.com/9.0/archive/debugging-ios-applications-with-ida.md)
- [IDA Win32 to Win32 Debugging](https://docs.hex-rays.com/9.0/archive/win32towin32.md)
- [IDA Win32 to Win64 Debugging](https://docs.hex-rays.com/9.0/archive/win32towin64.md)
- [Legacy license server: Floating Licenses](https://docs.hex-rays.com/9.0/archive/legacy-license-server-floating-licenses.md)
- [Installing on Linux](https://docs.hex-rays.com/9.0/archive/legacy-license-server-floating-licenses/installing-on-linux.md)
- [Installing on Windows](https://docs.hex-rays.com/9.0/archive/legacy-license-server-floating-licenses/installing-on-windows.md)
- [Installing on OS X](https://docs.hex-rays.com/9.0/archive/legacy-license-server-floating-licenses/installing-on-os-x.md)
- [Decompiler Installation](https://docs.hex-rays.com/9.0/archive/install.md)
- [Enumerated types tutorial](https://docs.hex-rays.com/9.0/archive/enum-tutorial.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.hex-rays.com/9.0/archive.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
